# ApiServiceState Data Model

Represents the configured run state of a service.

Values
value | description
--- | ---
HISTORY_NOT_AVAILABLE | The service's run state was not captured at this past instant
UNKNOWN | The service's run state cannot be determined
STARTING | The service is starting
STARTED | The service has started
STOPPING | The service is stopping
STOPPED | The service has stopped
NA | The service doesn't start or stop